Package org.apache.sling.feature.extension.apiregions.analyser

# Class CheckApiRegionsCrossFeatureDups

java.lang.Object
org.apache.sling.feature.extension.apiregions.analyser.AbstractApiRegionsAnalyserTask
org.apache.sling.feature.extension.apiregions.analyser.CheckApiRegionsCrossFeatureDups

All Implemented Interfaces:
  `org.apache.sling.feature.analyser.task.AnalyserTask`

public class CheckApiRegionsCrossFeatureDups extends AbstractApiRegionsAnalyserTask

## Constructor Summary

Constructors
Constructor
Description
`CheckApiRegionsCrossFeatureDups()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`String`
`getId()`
`String`
`getName()`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.analyser.AbstractApiRegionsAnalyserTask

`execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckApiRegionsCrossFeatureDups

public CheckApiRegionsCrossFeatureDups()

## Method Details

### getId

public String getId()

### getName

public String getName()

### execute

protected void execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx) throws Exception

Specified by:
  `execute` in class `AbstractApiRegionsAnalyserTask`
Throws:
  `Exception`